nano

Install nano with handy syntax highlighting. Optionally make it the default editor.

cornfeedhobo

cornfeedhobo

10,431 downloads

10,431 latest version

4.8 quality score

Version information

  • 0.1.0 (latest)
released Sep 11th 2014
This version is compatible with:
  • Puppet Enterprise 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x, 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >= 3.7.0
  • CentOS

Start using this module

Tags: nano, editor

Documentation

cornfeedhobo/nano — version 0.1.0 Sep 11th 2014

puppet-nano

Class to manage installing and configuring nano with sane defaults. Optionally, it can also be set to the default editor

Parameters

  • [default]
    • set nano to the default editor
    • default = false
  • [exclude]
    • syntax highlights to exclude
    • default = undef
  • [casesensitive]
    • Do case sensitive searches by default
    • default = false
  • [const]
    • Constantly display the cursor position in the statusbar
    • default = true
  • [cut]
    • Use cut to end of line by default
    • default = false
  • [morespace]
    • Use the blank line below the titlebar as extra editing space
    • default = true
  • [noconvert]
    • Don't convert files from DOS/Mac format
    • default = false
  • [nohelp]
    • Don't display the helpful shortcut lists at the bottom of the screen
    • default = true
  • [nonewlines]
    • Don't add newlines to the ends of files
    • default = false
  • [nowrap]
    • Don't wrap text at all
    • default = true
  • [regexp]
    • Do extended regular expression searches by default
    • default = false
  • [smarthome]
    • Make the Home key smarter
    • default = true
  • [smooth]
    • Use smooth scrolling as the default
    • default = true
  • [tabsize]
    • Use this tab size instead of the default; it must be greater than 0
    • default = undef
  • [tabstospaces]
    • Convert typed tabs to spaces
    • default = false

Examples

class { nano:
  $default => false,
  $tabsize => '4'
}

License

GPLv3